Bug 485334 - mod_wsgi discards POST values in some situations
mod_wsgi discards POST values in some situations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mod_wsgi (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
http://code.google.com/p/modwsgi/issu...
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 17:24 EST by Toshio Ernie Kuratomi
Modified: 2013-01-10 05:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of the continue fix to 2.3 (583 bytes, patch)
2009-02-12 17:24 EST, Toshio Ernie Kuratomi
no flags Details | Diff
Backport of fix to mod_wsgi-2.1 for EL-5 (583 bytes, patch)
2009-02-12 18:12 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2009-02-12 17:24:18 EST
Created attachment 331775 [details]
Backport of the continue fix to 2.3

Description of problem:

When using curl/libcurl/pycurl (or Opera) with an application running under mod_wsgi and the POST parameters are large enough (1024 bytes for curl), the client will use an "Expect: continue-100" header to tell the server to acknowledge the request and request the rest of the information before proceeding.  Unfortunately, mod_wsgi-2.0-mod_wsgi-2.3 have a bug that causes problems with that header.  The application server sitting behind mod_wsgi never gets the header and so tries to process the request immediately instead of asking for the rest of the data.

This leads to form variables never being seen by the server.



Version-Release number of selected component (if applicable):

mod_wsgi-2.1-2.el5
mod_wsgi-2.3-1.fc10.i386

How reproducible:
Everytime

Steps to Reproduce:
1. Start a server under mod_wsgi.  For instance bodhi
2. attempt to contact it using pycurl and a large amount of POST data For instance, https://admin.fedoraproject.org/updates/admin/mash with a large number of updates.
3.
  
Actual results:
Server will receive the request without any POST data

Expected results:
Server will receive the request with full POST data.

Additional info:
This affects both the Fedora and EPEL mod_wsgi.

There is a patch in the mod_wsgi-2.x branch upstream that will be out in mod_wsgi-2.4.  Details here:  http://code.google.com/p/modwsgi/issues/detail?id=121

Attaching a backport of the patch to mod_wsgi-2.3.
Comment 1 Toshio Ernie Kuratomi 2009-02-12 18:12:40 EST
Created attachment 331780 [details]
Backport of fix to mod_wsgi-2.1 for EL-5

And a backport of the fix to 2.1 for the EPEL branch.
Comment 2 Toshio Ernie Kuratomi 2009-02-25 11:09:39 EST
mod_wsgi-2.1 with the EL-5 backport has been running successfully in fedora infrastructure for two weeks.
Comment 3 Bug Zapper 2009-11-18 06:05:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:54:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.